# Packmangroup: Multimedia
# Packmanpackagename: faad2
# Packman: Manfred Tremmel


%define major      2
%define lib        libfaad
%define libname    %{lib}%{major}

%bcond_with    xmms
# mpeg4ip is built without gmp4player, it makes no sense to build the plugin
%bcond_with mpeg4ip

Name:           faad2
Version:        2.8.8
Release:        1.4
License:        GPL-2.0+
Summary:        C library and frontend for decoding MPEG2/4 AAC
Summary(de):    C Bibliothek und Frontend zum Decodieren von MPEG2/4 AAC
Url:            http://www.audiocoding.com/
Group:          Productivity/Multimedia/Video/Editors and Convertors
Source0:        http://downloads.sourceforge.net/project/faac/%{name}-src/%{name}-%{version}/%{name}-%{version}.tar.gz
Patch0:         %{name}-visibility.patch
Patch1:         faad2-PACKAGE_VERSION.patch
Patch2:         faad2-pic-fix.patch
Requires:       %{libname} = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with mpeg4ip}
BuildRequires:  libmp4v2-devel
BuildRequires:  SDL-devel
%endif
%if %{with xmms}
BuildRequires:  xmms2-devel
BuildRequires:  id3lib-devel
%endif
BuildRequires:  libtool
#Obsoletes:      faad2-drm
#Provides:       faad2-drm

%description
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder, completely
written from scratch. FAAD 2 is licensed under the GPL.

%description -l de
FAAD 2 ist ein LC, MAIN und LTP profile, MPEG2 und MPEG-4 AAC Decoder.

%package -n %{libname}
Summary:        Shared library part of faad2
Summary(de):    Bibliotheken zu faad2
Group:          System/Libraries
Provides:       %{lib} = %{version}
Provides:       lib%{name}_2 = %{version}
Obsoletes:      lib%{name}_2 < %{version}
Provides:       libfaad-2 = %{version}
Obsoletes:      libfaad-2 < %{version}

%description -n %{libname}
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder, completely
written from scratch. FAAD 2 is licensed under the GPL.
The shared library part of faad2

%description -n %{libname} -l de
FAAD 2 ist ein LC, MAIN und LTP profile, MPEG2 und MPEG-4 AAC Decoder.
Die Bibliotheken zu faad2

%package -n %{lib}_drm%{major}
Summary:        DRM shared library part of faad2
Group:          System/Libraries
Provides:       %{lib} = %{version}

%description -n %{lib}_drm%{major}
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder, completely
written from scratch. FAAD 2 is licensed under the GPL.
The shared library part of faad2-drm

%package -n %{lib}-devel
Summary:        Development files of the FAAD 2 AAC decoder
Summary(de):    Entwicklerdateien des FAAD 2 AAC Dekoders
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:       %{libname} = %{version}
Requires:       %{lib}_drm%{major} = %{version}
Obsoletes:      lib%{name}-devel < %{version}
Provides:       lib%{name}-devel = %{version}
Obsoletes:      %{name}-devel < %{version}
Provides:       %{name}-devel = %{version}
Obsoletes:      %{name}-drm-devel < %{version}
Provides:       %{name}-drm-devel = %{version}

%description -n %{lib}-devel
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder, completely
written from scratch. FAAD 2 is licensed under the GPL.
Header files and development documentation for libfaad.

%description -n %{lib}-devel -l de
FAAD 2 ist ein LC, MAIN und LTP profile, MPEG2 und MPEG-4 AAC Decoder.
Header-Dateien und Entwicklerdokumtation zur libfaad.

%if %{with xmms}
%package -n xmms-%{name}
Summary:        Xmms faad2 input plugin
Summary(de):    Xmms faad2 Eingabeplugin
Group:          Productivity/Multimedia/Sound/Players
Requires:       %{libname} = %{version}
Requires:       xmms >= 1.2.8
Obsoletes:      %{name}-xmms-plugin < %{version}
Provides:       %{name}-xmms-plugin = %{version}

%description -n xmms-%{name}
The plugin read aac files with and without ID3tag(version 2.x), AAC files
are MPEG2 or MPEG4 files that could be found in MPEG4 audio files (.mp4).

%description -l de -n xmms-%{name}
Das plugin für xmms liest AAC Dateien mit und ohne ID3-Tags (version 2.x).
AAC Dateien sind MPEG2 oder MPEG4 Dateien, sie finden Verwendung in MPEG4
Audodateien (.mp4).
%endif

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
autoreconf -ifv
export CFLAGS="%{optflags} -fno-strict-aliasing"
%configure \
%if %{with xmms}
	--with-xmms \
%endif
	--with-pic \
	--enable-shared \
	--disable-static
make %{?_smp_mflags}

%install
%makeinstall
rm -f %{buildroot}%{_libdir}/lib*.la

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%post -n %{lib}_drm%{major} -p /sbin/ldconfig
%postun -n %{lib}_drm%{major} -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/faad
%{_mandir}/man1/faad.1.gz

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libfaad.so.%{major}*

%files -n %{lib}_drm%{major}
%defattr(-, root, root)
%{_libdir}/libfaad_drm.so.%{major}*

%files -n %{lib}-devel
%defattr(-, root, root)
%{_libdir}/*.so
%{_includedir}/*

%if %{with xmms}
%files -n xmms-%{name}
%defattr(-, root, root)
%doc plugins/xmms/README
%{_libdir}/xmms/Input/libmp4*
%endif

%changelog
* Sat Dec 30 2017 zaitor@opensuse.org
- Update to version 2.8.8:
  * Add new files to Makefile.am.
- Changes from version 2.8.7:
  * MSVC build fixes.
  * Fixed a coulple bugs.
* Sun Nov 26 2017 zaitor@opensuse.org
- Update to version 2.8.6:
  * No changelog provided by upstream.
- Rebase faad2-PACKAGE_VERSION.patch.
- Add faad2-pic-fix.patch: Fix non-PIC objects in libmp4ff.a,
  following this, trim the CFLAGS export down to just
  - fno-strict-aliasing.
- Add %%%%{libname} = %%%%{version} Requires to devel subpackage, yet
  a change to silence rpmlint.
- Add %%%%{lib}_drm%%%%{major} = %%%%{version} Requires aswell to the
  devel subpackage.
* Mon Oct  9 2017 hillwood@opensuse.org
- Update to 2.8.5
  * another package fix
  * minor fix to released packages
  * better autotools support
  * PNS bug fixed
  * New MP4 input module
  * NeAACDecGetVersion: new api function to get version and copyright strings
  * seeking support for MP4 files
  * patches and fixed bugs
- Drop faad2-reproducible-build.patch, upstream merge it.
- Update faad2-visibility.patch.
* Sun Feb 26 2017 zaitor@opensuse.org
- Add faad2-reproducible-build.patch: Remove
  '__DATE__' and '__TIME__' to make build more reproducible.
  Following this, remove sed hack to inject date/time into build.
* Mon Jul 14 2014 olaf@aepfle.de
- disable xmms also in sle11, fails to compile also there
* Thu May  8 2014 crrodriguez@opensuse.org
- faad2-visibility.patch Only public symbols should be
  exported + fix broken C99 test
* Tue Apr  3 2012 reddwarf@opensuse.org
- Revert previous commit. It just broke something that worked.
* Mon Mar 26 2012 hvogel@opensuse.org
- We only build xmms for evergreen so only build the xmms
  plugin up to 11.2
* Tue Jan 24 2012 reddwarf@opensuse.org
- Change License tag to SPDX
- Remove unneeded autoreconf call
- Run spec-cleaner
- Remove unneeded BuildRequires
* Wed Mar 30 2011 reddwarf@opensuse.org
- Remove __DATE__ references to help build-compare
* Fri Mar  4 2011 reddwarf@opensuse.org
- Remove .la files
- Remove bogus libfaad -> libmp4v2-devel dependency
- Readd mp4ff (static) lib which it seems was unpackaged by error
* Tue Nov 24 2009 lnussel@suse.de
- some spec file cleanup
- add baselibs.conf
* Sat Aug 22 2009 Manfred.Tremmel@iiv.de
- removed old compatibility packages
* Tue Feb 10 2009 Manfred.Tremmel@iiv.de
- update to version 2.7
* Sat Oct  4 2008 Manfred.Tremmel@iiv.de
- disabled drm support, had once again problems with aac playback
* Sat Sep 20 2008 Manfred.Tremmel@iiv.de
- rename of the lib packages
* Sat Jul  5 2008 Manfred.Tremmel@iiv.de
- update to version 2.6.1
- reenabled drm support, I hope it makes no trouble in this version
* Sat Feb 24 2007 Manfred.Tremmel@iiv.de
- added a patch from Toni <toni@links2linux.de> to include
  mp4ff lib
* Sat Feb 17 2007 Manfred.Tremmel@iiv.de
- adeed mp4ff.h include
* Wed Aug 16 2006 Manfred.Tremmel@iiv.de
- removed drm support, makes trouble with multichannel aac
* Mon Aug 14 2006 Manfred.Tremmel@iiv.de
- update to verion 2.5
* Mon Mar 20 2006 henne@links2linux.de
- build against mpeg4ip
- fix buildrequires
- create mp4player plugin subpackage
- dont package libmp4v2 anymore. comes from mpeg4ip. should have never been
  provided by faad2!!!
* Fri Jan 27 2006 Manfred.Tremmel@iiv.de
- added fixes to the gcc 4 patch, thanks to Carl Eugen Hoyos
* Sun Sep 11 2005 Manfred.Tremmel@iiv.de
- added patch to compile with gcc 4 (SUSE 10)
* Tue Mar  1 2005 rainer@links2linux.de
- added mp3ff_int_types.h
* Wed Aug 18 2004 rainer@links2linux.de
- readded xmms plugin
* Mon Jun 14 2004 rainer@links2linux.de
- version 2.0
* Wed Apr  9 2003 henne@links2linux.de
- first build and release
